Bug 107675 - EDITING: Partially removing the border formatting of table row isn't working (steps to reproduce in comment 3)
Summary: EDITING: Partially removing the border formatting of table row isn't working ...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Writer-Tables
  Show dependency treegraph
 
Reported: 2017-05-07 10:56 UTC by Telesto
Modified: 2018-05-08 02:32 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Example file (8.96 KB, application/3dr)
2017-05-07 10:56 UTC, Telesto
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Telesto 2017-05-07 10:56:01 UTC
Description:
Partially removing the row color formatting of table row isn't working

Steps to Reproduce:
1. Open attached file 
2. Select the top row (blue border)
3. Right click -> Table Properties
4. Go to tab borders
5. Remove some borders in the line arrangement preview by clicking on them
6. Press OK

Actual Results:  
Nothing changes

Expected Results:
Table layout should adjust


Reproducible: Always

User Profile Reset: No

Additional Info:
Found in
Version: 5.4.0.0.alpha1+
Build ID: 274ecb49b70b3f01d47546e3b44317946c106042
CPU threads: 4; OS: Windows 6.2; UI render: default; 
TinderBox: Win-x86@62-TDF, Branch:MASTER, Time: 2017-05-05_22:45:07
Locale: nl-BE (nl_NL); Calc: single

and in
LibreOffice 3.3.0 
OOO330m19 (Build:6)
tag libreoffice-3.3.0.4


User-Agent: Mozilla/5.0 (Windows NT 6.2; WOW64; rv:45.0) Gecko/20100101 Firefox/45.0
Comment 1 Telesto 2017-05-07 10:56:29 UTC
Created attachment 133120 [details]
Example file
Comment 2 m.a.riosv 2017-05-07 11:46:49 UTC
It's needed to click the line until it is blank, not only one click.

But seems there is a issue with OpenGL enable, the appeareance of the line after first click doesn't change, even it really change the line status.

Please can you test with OPenGL disable, Menu/Tools/Options/LibreOffce/View

My OpenGL_device.log
DriverVersion: 21.20.16.4550
DriverDate: 11-11-2016
DeviceID: PCI\VEN_8086&DEV_5916&SUBSYS_380117AA&REV_02
AdapterVendorID: 0x8086
AdapterDeviceID: 0x5916
AdapterSubsysID: 0x380117aa
DeviceKey: System\CurrentControlSet\Control\Video\{C71DB88B-86B9-48BC-A7B2-988713DD34A4}\0000
DeviceString: Intel(R) HD Graphics 620
Comment 3 Telesto 2017-05-07 13:09:42 UTC
@m.a.riosv 
* I opened a separate report bug 107680 for the OpenGL issue
* You're right: it's needed to click the line until it is blank, not only one click; 

So new steps, same issue:
1. Open attached file 
2. Select the top row (blue border)
3. Select borders in the toolbar
4. Select something like (only left/right border) or without inner border
Comment 4 Buovjaga 2017-05-07 17:00:29 UTC
Repro.

Arch Linux 64-bit, KDE Plasma 5
Version: 5.4.0.0.alpha1+
Build ID: 6e4cba99bb35e6697b94309eedd1a08ebea2dc68
CPU threads: 8; OS: Linux 4.10; UI render: default; VCL: kde4; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group
Built on May 5th 2016
Comment 5 QA Administrators 2018-05-08 02:32:30 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug